Subject: Re: [PATCH net-next v2 0/6] Introduce new DCB rewrite table

From: Simon Horman <[email-masked]>
Date: Wed, 18 Jan 2023 12:00:07 +0100

On Mon, Jan 16, 2023 at 03:48:47PM +0100, Daniel Machon wrote:
> There is currently no support for per-port egress mapping of priority to PCP and
> priority to DSCP. Some support for expressing egress mapping of PCP is supported
> through ip link, with the 'egress-qos-map', however this command only maps
> priority to PCP, and for vlan interfaces only. DCB APP already has support for
> per-port ingress mapping of PCP/DEI, DSCP and a bunch of other stuff. So why not
> take advantage of this fact, and add a new table that does the reverse.
> 
> This patch series introduces the new DCB rewrite table. Whereas the DCB
> APP table deals with ingress mapping of PID (protocol identifier) to priority,
> the rewrite table deals with egress mapping of priority to PID.
> 
> It is indeed possible to integrate rewrite in the existing APP table, by
> introducing new dedicated rewrite selectors, and altering existing functions
> to treat rewrite entries specially. However, I feel like this is not a good
> solution, and will pollute the APP namespace. APP is well-defined in IEEE, and
> some userspace relies of advertised entries - for this fact, separating APP and
> rewrite into to completely separate objects, seems to me the best solution.
> 
> The new table shares much functionality with the APP table, and as such, much
> existing code is reused, or slightly modified, to work for both.

Thanks Daniel,

FWIIW, this looks nice and clean to me.

Reviewed-by: Simon Horman <[email-masked]>